### Method

# Gio Cancellable reset

#### Declaration

    void
    g_cancellable_reset (
      GCancellable* cancellable
    )

#### Description

Resets `cancellable` to its uncancelled state.

If cancellable is currently in use by any cancellable operation then the behavior of this function is undefined.

Note that it is generally not a good idea to reuse an existing cancellable for more operations after it has been cancelled once, as this function might tempt you to do. The recommended practice is to drop the reference to a cancellable after cancelling it, and let it die with the outstanding async operations. You should create a fresh cancellable for further async operations.